---
title: "Get requestId for Time Series data"
slug: "get-requestid-for-timeseries-data"
updated: 2026-04-07T13:40:06Z
published: 2026-04-07T13:40:06Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://kb.solargis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Time Series requestId

Post/ts/data-request

		
			

This document provides information about production server API call parameters. Use this API endpoint to get the `requestId` for the Time Series data download from your live Solargis account. You will need the `requestId` to get Time Series data for your location.

**Key points to remember before you proceed:**

- You need a live Solargis account and have purchased the Time Series API data subscription.
- You will need to generate an [API token](/v1-api/apidocs/generating-api-tokens) to authenticate calls to your account.
- Calls to this API are paid and will deduct credits from your API call allowance.
- You can use the API console to the right to perform the API calls if required. The API console is connected to our production servers. **It does not allow you to execute integration API calls****.** Learn how to use it in the [Using the API console](/v1-api/apidocs/testing-the-endpoints) guide.
- Parameters and temporal resolutions available via the Time Series API depend on the [Time Series API subscription](https://kb.solargis.com/docs/time-series-subscription-details) type.
- If 1-minute data is set in the request, the request period can not be less than 1 year.

If you have a GTI energy system configured in the Solargis Evaluate application, you can use it to retrieve the Time Series data. You can download the specification and use it in the body of the request directly from the [GTI energy system designer](https://kb.solargis.com/docs/creating-gti-energy-system#the-gti-energy-system-designer).

If you want to download the data in **CSV format** for further use in PVsyst, set `&quot;outpuFormat&quot;: &quot;SOLARGIS_CSV&quot;&nbsp;` in the request parameters. Beware that PVsyst supports `&quot;timeStep&quot;: &quot;PT60M&quot;` (1 hour) and `&nbsp;&quot;timeStep&quot;: &quot;P1M&quot;` (1 month) only.

| **Request type:** | POST |
| --- | --- |
| **URL**: | https://api.solargis.com/ts/data-request |
| **Authorization**: | Bearer {API token} |
| **Body**: See the Body parameters section below. |

		
		
SecurityHTTPType bearer

Enter your Solargis TimeSeries Bearer token. Example: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Body parameters<select class='api-response-data' aria-label='Media type'><option value='5149fa89-44c7-4e4f-a86c-fb7a0bca5547'>application/json</option>
</select>

```json
{
  "site": {
    "latitude": 48.88375,
    "longitude": 20.159472,
    "siteName": "KB Enterprise Site"
  },
  "timeStep": "PT15M",
  "columns": [
    "GHI",
    "DNI",
    "DIF",
    "GHI_NOSHD",
    "DNI_NOSHD",
    "DIF_NOSHD",
    "GTI_NOSHD",
    "GTI",
    "UVA",
    "UVB",
    "PAR",
    "KT",
    "KC",
    "CI_FLAG",
    "SUN_ELEVATION",
    "SUN_AZIMUTH",
    "PANEL_AZIMUTH",
    "PANEL_TILT",
    "PANEL_INC",
    "TEMP",
    "WS",
    "WD",
    "WS100",
    "WD100",
    "WG",
    "RH",
    "AP",
    "PWAT",
    "PREC",
    "TD",
    "WBT",
    "SDWE",
    "SFWE",
    "PM2P5",
    "PM10"
  ],
  "outputFormat": "SOLARGIS_JSON",
  "compressOutput": true,
  "splitOutputByYears": false,
  "fromDate": "AUTODETECT",
  "toDate": "LAST_MONTH",
  "timeAlignment": "CENTER",
  "utcOffset": "+01:00",
  "terrainShading": true,
  "environment": {
    "surfaceAlbedo": 0.12,
    "horizon": {
      "azimuth": [
        0.0,
        37.5,
        60.0,
        82.5,
        105.0,
        127.5,
        150.0,
        172.5,
        195.0,
        217.5,
        240.0,
        262.5,
        285.0,
        307.5,
        330.0,
        352.5
      ],
      "height": [
        0.705,
        1.0588235,
        1.058894,
        1.428,
        0.70588764,
        0.0,
        0.0,
        0.0,
        0.0,
        0.0,
        0.0,
        0.0,
        0.0,
        0.0,
        0.0,
        0.0
      ]
    }
  },
  "gtiConfiguration": {
    "layout": {
      "mounting": {
        "type": "FIXED_ONE_ANGLE",
        "tilt": 39
      }
    }
  },
  "fileLabel": "ts_example_request"
}
```

object  siteobject  Requiredlatitudenumber  (double)    Example48.88375
longitudenumber  (double)    Example20.159472
siteNamestring    ExampleSolargis Testing request KB

timeStepstring    RequiredValid values[
  "PT1M",
  "PT15M",
  "PT60M",
  "P1D",
  "P1M",
  "P1Y"
]ExamplePT15M
columns Array of string   Required

The RH, AP, and PWAT parameters are available for ENTERPRISE subscriptions only.

Example[
  "GHI",
  "DNI",
  "TEMP"
]string    Valid values[
  "GHI",
  "DNI",
  "DIF",
  "GHI_NOSHD",
  "DNI_NOSHD",
  "DIF_NOSHD",
  "GTI_NOSHD",
  "GTI",
  "CI_FLAG",
  "SUN_ELEVATION",
  "SUN_AZIMUTH",
  "PANEL_AZIMUTH",
  "PANEL_TILT",
  "PANEL_INC",
  "TEMP",
  "WS",
  "WD",
  "WS100",
  "WD100",
  "WG",
  "RH",
  "AP",
  "PWAT",
  "PREC",
  "TD",
  "WBT",
  "SDWE",
  "SFWE",
  "UVA",
  "UVB",
  "PAR",
  "KT",
  "KC",
  "PM2P5",
  "PM10"
]
outputFormatstring    RequiredValid values[
  "SOLARGIS_JSON",
  "SOLARGIS_CSV"
]ExampleSOLARGIS_JSON
compressOutputboolean    Defaultfalse
splitOutputByYearsboolean    

If true, the output will be split into multiple files, one for each year. The file names will be in the format `fileLabel_year.csv` or `fileLabel_year.json`. NOTE: `compressOutput` has to be set to true.

Defaultfalse
fromDatestring  (string)    

Start date in ISO 8601 format (YYYY-MM-DD). You can also use the keyword `AUTODETECT` to automatically select the earliest available start date.

Pattern^(AUTODETECT|\d{4}-\d{2}-\d{2})$ExampleAUTODETECT
toDatestring  (string)    

End date in ISO 8601 format (YYYY-MM-DD). You can also use `LAST_MONTH` or `LAST_YEAR` for relative date selection.

Pattern^(LAST_MONTH|LAST_YEAR|\d{4}-\d{2}-\d{2})$Example2023-12-31
timeAlignmentstring    Valid values[
  "CENTER",
  "LEFT",
  "RIGHT"
]Default"CENTER"ExampleCENTER
utcOffsetstring    Pattern^[+-]\d{2}:\d{2}$Example+01:00
terrainShadingboolean    Defaultfalse
environmentobject  surfaceAlbedo

Surface albedo as a single value or array of 12 monthly values (Jan-Dec)

OneOfnumbernumberExample0.12
arrayarraynumber    

horizonobject  azimuth Array of number   number    
height Array of number   number    

gtiConfigurationobject (gtiConfigurationSchema)  layoutobject  mountingOneOfFixedOneAngleMountingobject (FixedOneAngleMounting)typestring    RequiredValid values[
  "FIXED_ONE_ANGLE"
]ExampleFIXED_ONE_ANGLE
tiltnumber    RequiredMinimum0Maximum90Example39.0

TrackerOneAxisHorizontalMountingobject (TrackerOneAxisHorizontalMounting)typestring    RequiredValid values[
  "TRACKER_ONE_AXIS_HORIZONTAL"
]
backtrackingboolean    Required
rotationLimitEastnumber    RequiredMinimum-180Maximum0Example-50.0
rotationLimitWestnumber    RequiredMinimum0Maximum180Example50.0

TrackerOneAxisInclinedMountingobject (TrackerOneAxisInclinedMounting)typestring    RequiredValid values[
  "TRACKER_ONE_AXIS_INCLINED"
]
axisTiltnumber    RequiredMinimum0Maximum90Example30.0
backtrackingboolean    Required
rotationLimitEastnumber    RequiredExample-50.0
rotationLimitWestnumber    RequiredExample50.0

TrackerOneAxisVerticalMountingobject (TrackerOneAxisVerticalMounting)typestring    RequiredValid values[
  "TRACKER_ONE_AXIS_VERTICAL"
]
tiltnumber    RequiredMinimum0Maximum90Example30.0
azimuthLimitEastnumber    RequiredMinimum-180Maximum0Example-120.0
azimuthLimitWestnumber    RequiredMinimum0Maximum180Example120.0
backtrackingboolean    Required

TrackerTwoAxisMountingobject (TrackerTwoAxisMounting)typestring    RequiredValid values[
  "TRACKER_TWO_AXIS"
]
backtrackingboolean    Required
tiltLimitMinnumber    RequiredMinimum0Maximum90Example10.0
tiltLimitMaxnumber    RequiredMinimum0Maximum90Example90.0
azimuthLimitEastnumber    RequiredExample-90.0
azimuthLimitWestnumber    RequiredExample90.0

relativeSpacingnumber  (float)    Minimum0.1

fileLabelstring    ExampleIntegration_example

Responses200

RequestId retrieved

<select class='api-response-data' aria-label='Media type'><option value='02228b93-0ff6-4561-9b05-afdfdc2c31ba'>application/json</option>
</select>object  requestIdstring    

401

Invalid authorization

<select class='api-response-data' aria-label='Media type'><option value='b56e88b3-8849-4019-90a2-49a40a970176'>application/json</option>
</select>object  

Invalid authorization

errorstring    Exampletoken.invalid
